{ ... }:

{
  imports = [ (import ./hardware-configuration.nix) ];

  boot.loader = {
    efi = {
      canTouchEfiVariables = true;
      efiSysMountPoint = "/boot";
    };
    grub = {
      efiSupport = true;
      device = "nodev";
      # 1024x768 is the closest supported resolution to X220's native 1366x768
      # To see a list of supported GRUB resolutions, enter GRUB,
      # press e, F2 to enter command mode, and then type videoinfo to see list
      gfxmodeEfi = "1024x768";
    };
  };

  networking.hostName = "elnupad";

  time.timeZone = "America/Los_Angeles";

  # Use X11 caps lock to escape remap in TTY
  console.useXkbConfig = true;
  services.xserver.xkbOptions = "caps:escape";
}
